NXP NFC Reader Library v4.040.05.011646

Data Structures | Macros | Typedefs | Enumerations | Functions
Component : Software
Network Protocol Layer » NFCForum-SNEP

Implementation of NFC Forum Simple NDEF Exchange Protocol (SNEP) 1.0. More...

Collaboration diagram for Component : Software:

## Data Structures
struct | phnpSnep_Sw_DataParams
| SNEP parameter structure. More...

## Macros
#define | PHNP_SNEP_SW_ID 0x01
| ID for SNEP SW component. More...

## Typedefs
typedef enum phnpSnep_Server_type | phnpSnep_Server_type_t
| Defines SNEP Server Type.
typedef struct phnpSnep_Sw_DataParams | phnpSnep_Sw_DataParams_t
| SNEP parameter structure.

## Enumerations
enum | phnpSnep_Server_type { phnpSnep_Default_Server = 0x01, phnpSnep_NonDefault_Server }
| Defines SNEP Server Type. More...

## Functions
phStatus_t | phnpSnep_Sw_Init (phnpSnep_Sw_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *plnLlcpDataparams, void *psSocket)
| Initialize the SNEP component. More...

## Detailed Description

Implementation of NFC Forum Simple NDEF Exchange Protocol (SNEP) 1.0.

## Macro Definition Documentation

## § PHNP_SNEP_SW_ID

#define PHNP_SNEP_SW_ID 0x01

ID for SNEP SW component.

## Enumeration Type Documentation

## § phnpSnep_Server_type

enum phnpSnep_Server_type

Defines SNEP Server Type.

Enumerator
phnpSnep_Default_Server | Default NFC Forum SNEP server.
phnpSnep_NonDefault_Server | Proprietary SNEP server.

## Function Documentation

## § phnpSnep_Sw_Init()

phStatus_t phnpSnep_Sw_Init | ( | phnpSnep_Sw_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | plnLlcpDataparams,
|  | void * | psSocket
| ) |  |

Initialize the SNEP component.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_INVALID_DATA_PARAMS | Parameter structure size is invalid.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  [in] | plnLlcpDataparams | Pointer to LLCP parameters.
  [in] | psSocket | Pointer to LLCP transport Socket.